<template>
  <div>
    <div class="flex flex-col">
      <div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8">
          <div class="py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8">
            <div class=" overflow-hidden">
              <table class="min-w-full  ">
                <thead>
                  <tr>
                    <th scope="col" class="px-6 py-3 text-left text-sm font-bold text-gray-500 tracking-wider">
                      Mission Name
                    </th>
                    <th scope="col" class="px-6 py-3 text-left text-sm font-bold text-gray-500 tracking-wider">
                      Plateau Size X
                    </th>
                    <th scope="col" class="px-6 py-3 text-left text-sm font-bold text-gray-500 tracking-wider">
                      Plateau Size Y
                    </th>
                    <th scope="col" class="px-6 py-3 text-left text-sm font-bold text-gray-500 tracking-wider">
                      Rovers Quantity
                    </th>
                    <th scope="col" class="px-6 py-3 text-left text-sm font-bold text-gray-500 tracking-wider">
                      Details
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr v-for="(missions, index) in missionsArray" :key="index"
                    :class="index % 2 !== 0 ? 'bg-white' : 'bg-gray-50'">
                    <td class="px-6 py-4 whitespace-nowrap text-sm font-bold text-gray-500">
                      {{missions.mission_name}}
                    </td>
                    <td class="px-6 py-4 whitespace-nowrap text-sm font-bold text-gray-500">
                      {{missions.plateau_size_x}}
                    </td>
                    <td class="px-6 py-4 whitespace-nowrap text-sm font-bold text-gray-500">
                      {{missions.plateau_size_y}}
                    </td>
                    <td class="px-6 py-4 whitespace-nowrap text-sm font-bold text-gray-500">
                      {{missions.rovers_number}}
                    </td>
                    <td @click="getDetails(missions.id)" class="px-6 py-4 whitespace-nowrap text-sm font-bold text-gray-500">
                      <button class="relative inline-flex items-center px-4 py-2 border border-gray-300
                        text-sm font-medium rounded-md text-gray-700 bg-white hover:bg-gray-50">
                        Mission Details
                      </button>
                    </td>
                  </tr>
                </tbody>
              </table>
          </div>
          
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'base',
  data(){
    return{
      missionsArray:'',
    }
  },
  mounted(){
    this.getMissions()
  },
  methods:{
    getMissions(){
      this.$axios.get(`mission-config/`)
        .then((response) => {
          this.missionsArray = response.data
        })
    },
    getDetails(idMission){
      this.$router.push(`${idMission}/`)
    }
  },
}
</script>